package com.sun.org.apache.xml.internal.security.signature;

import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;

public class XMLSignatureException extends XMLSecurityException
{
    private static final long serialVersionUID = 1L;
    
    public XMLSignatureException() {
    }
    
    public XMLSignatureException(Exception originalException) {
        super(originalException);
    }
    
    public XMLSignatureException(String msgID) {
        super(msgID);
    }
    
    public XMLSignatureException(String msgID, Object[] exArgs) {
        super(msgID, exArgs);
    }
    
    public XMLSignatureException(Exception originalException, String msgID) {
        super(originalException, msgID);
    }
    
    @Deprecated
    public XMLSignatureException(String s, Exception ex) {
        this(ex, s);
    }
    
    public XMLSignatureException(Exception originalException, String msgID, Object[] exArgs) {
        super(originalException, msgID, exArgs);
    }
    
    @Deprecated
    public XMLSignatureException(String s, Object[] array, Exception ex) {
        this(ex, s, array);
    }
}
